#!/usr/bin/env python3

# This amulet test deploys the bundles.yaml file in this directory.

import os
import unittest
import yaml
import amulet


class BundleTest(unittest.TestCase):
    """
    Basic deployment test for ganglia-node.
    """
    @classmethod
    def setUpClass(cls):
        cls.d = amulet.Deployment(series='xenial')

        bundle_path = os.path.join(os.path.dirname(__file__), 'bundles.yaml')
        with open(bundle_path, 'r') as bundle_file:
            contents = yaml.safe_load(bundle_file)
            cls.d.load(contents)
        cls.d.setup(timeout=900)
        cls.d.sentry.wait(timeout=900)

    def test_deployed(self):
        """
        Test to see if the bundle deployed successfully.
        """
        self.assertTrue(self.d.deployed)


if __name__ == '__main__':
    unittest.main()
